#ifdef CONFIGFILE
#include CONFIGFILE
#endif
#include <rccl.h>
#include "manex.260.h"
#include <stdlib.h>

#ifdef Vxw_TARGET
#define main simple_260_
#endif

int main()
{
        TRSF_PTR p, t;
        POS_PTR pos;
        MANIP *mnp;
        JNTS rcclpark;
        char *robotName;

        rcclSetOptions (RCCL_SIMULATE | RCCL_ERROR_EXIT);
	rcclSetInterval(100);

        robotName = "red";
        if (!getRobotPosition (rcclpark.v, "rcclpark", robotName))
         { printf ("position 'rcclpark' not defined for robot\n");
           exit(-1);
         }

        t = allocTransXyz (-200.0, 0.0, 50.0);
        p = allocTransRot (P_X, P_Y, P_Z, xunit, 180.0);
        pos = makePosition (NULL, T6, EQ,  p, t, NULL);

        mnp = rcclCreate (robotName);
        rcclStart();

	rcclpark.v[5] -= 180.0 * DEGTORAD;
        movej (mnp, &rcclpark);
	
        waitForCompleted (mnp);

	printf(" ** Starting cartesian motion\n"); 
	setSpeed(mnp, 0.5);
        setMod (mnp, 'c');
        move (mnp, pos);
        waitForCompleted (mnp);


	printf(" ** Starting joint motion\n"); 
        movej (mnp, &rcclpark);
        waitForCompleted (mnp);

        rcclRelease (YES);

	return 0;
}
