#ifdef CONFIGFILE
#include CONFIGFILE
#endif
#include <rccl.h>
#include "manex.560.h"

#ifdef Vxw_TARGET
#define main simple_560_
#endif

int main()
{
        TRSF_PTR p, t;                                          /*1*/
        POS_PTR pos;                                            /*2*/
        MANIP *mnp;                                             /*3*/
        JNTS rcclpark;                                          /*4*/
        char *robotName;                                        /*5*/

        rcclSetOptions (RCCL_SIMULATE | RCCL_ERROR_EXIT);      /*6*/
        robotName = "red";                                     /*7*/
        if (!getRobotPosition (rcclpark.v, "rcclpark", robotName))
         { printf ("position 'rcclpark' not defined for robot\n");
           exit(-1);
         }
                                                                /*8*/
        t = allocTransXyz (-300.0, 0.0, 75.0);
        p = allocTransRot (P_X, P_Y, P_Z, xunit, 180.0);
        pos = makePosition (NULL, T6, EQ, p, t, NULL);         /*9*/

        mnp = rcclCreate (robotName);                        /*10*/
        rcclStart();

        rcclpark.v[5] -= 180.0 * DEGTORAD;
        movej (mnp, &rcclpark);                                 /*11*/
	waitForCompleted (mnp);	

        setMod (mnp, 'c');                                      /*12*/
        move (mnp, pos);                                        /*13*/
        stop (mnp, 1000.0);

        movej (mnp, &rcclpark);                                 /*14*/
        stop (mnp, 1000.0);

        waitForCompleted (mnp);                                 /*15*/
        rcclRelease (YES);                                      /*16*/
	return 0;
}
